Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.ale.reader.access
Class DeviceOpSpec

    java.lang.Object
      com.connecterra.ale.reader.access.DeviceOpSpec

Direct Known Subclasses:
  KillDeviceOpSpec, LockDeviceOpSpec, PasswordDeviceOpSpec, ReadBankDeviceOpSpec, ReadEPCDeviceOpSpec, ReadSymbolicDeviceOpSpec, WriteDeviceOpSpec

    public abstract class DeviceOpSpec

extends Object

Base class for all operations which may be executed on visible tags. Most drivers will not need to manipulate these objects directly. Instead, the framework will iterate over the list of DeviceOpSpecs and make a call to `AbstractPrinterPhysicalReader.print(com.connecterra.ale.reader.PollingDeviceUnit, long[], java.lang.Long, java.lang.Long, java.lang.Long, java.lang.Long, java.lang.Long, java.util.Map)`, operate on tags passed to `AbstractPhysicalDevice.addTagData(com.connecterra.ale.reader.AbstractPhysicalDevice.TagData)`, or operate on tags returned from `AbstractDispatchingPollingPhysicalDevice.inventoryTagsInField(java.util.Set)`.

Constructor Summary
`DeviceOpSpec()`

Method Summary
`void` | `checkParameters(Map params)`
`void` | `clearParameters()`
`abstract boolean` | `equals(Object other)`
`abstract int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeviceOpSpec

    public DeviceOpSpec()

Method Detail

### clearParameters

    public void clearParameters()

### checkParameters

    public void checkParameters(Map params)
                         throws com.connecterra.ale.reader.access.DeviceUnitRequestException

  Throws:
    `com.connecterra.ale.reader.access.DeviceUnitRequestException`

### hashCode

    public abstract int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public abstract boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at ${DOCSWEBROOT} Copyright 2007 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD